main.newBiere {

    section.hero {
        position: relative;
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;

        h1 {
            max-width: 1200px;
            color: #fff;
            font-family: EDO;
            text-align: center;
            position: absolute;
            font-size: 195px;
        }

        img {
            width: 100vw;
            height: fit-content
        }

        a {
            color: #fff;
            font-size: 24px;
            text-decoration: none;
            position: absolute;
            top: 24px;
            left: 12px;
        }
    }

    section.description {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 64px;
        padding: 64px 0;

        h2 {
            font-weight: 700;
            font-size: 50px;
            color: var(--secondary);
            text-transform: uppercase;
        }

        div.beerPicto {
            position: relative;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;

            .image-container {
                position: relative;
                display: inline-block;
                height: 400px;

                img {
                    position: relative;
                    z-index: 10;
                    height: 100%;
                    display: block;
                }

                &::after {
                    transform: scale(1.2);
                    content: '';
                    position: absolute;
                    top: 0;
                    left: 0;
                    right: 0;
                    bottom: 0;
                    mask-image: var(--img);
                    -webkit-mask-image: var(--img);
                    mask-repeat: no-repeat;
                    mask-size: contain;
                    -webkit-mask-repeat: no-repeat;
                    -webkit-mask-size: contain;
                    background: var(--primary);
                    z-index: 9;
                    filter: blur(0px);
                }
            }

            div.composant {
                --width: 0px;
                width: 45vw;
                position: absolute;
                display: flex;
                align-items: center;
                height: fit-content;
                gap: 24px;

                div.line {
                    height: 1px;
                    width: 30%;
                    min-width: 124px;
                    background-color: #fff;
                }

                div.picto {

                    img {
                        height: 80px;
                        width: auto;
                    }
                }

                div.text {
                    height: 124px;
                    min-width: 320px;

                    h3 {
                        text-transform: uppercase;
                        color: var(--secondary);
                        font-size: 24px;
                        font-weight: 700;
                    }

                    p {
                        color: #fff;
                        font-size: 18px;
                        line-height: 24px;
                    }
                }
            }

            div.composant1 {
                text-align: left;
                top: 0;
                left: calc(32px + var(--width) / 2);
            }

            div.composant2 {
                text-align: right;
                flex-direction: row-reverse;
                top: 100px;
                right: calc(32px + var(--width) / 2);
            }

            div.composant3 {
                text-align: left;
                top: 200px;
                left: calc(32px + var(--width) / 2);
            }

            div.composant4 {
                text-align: right;
                flex-direction: row-reverse;
                top: 300px;
                right: calc(32px + var(--width) / 2);
            }

        }

        div.moreIngredient {
            display: flex;
            flex-direction: column;
            align-items: center;
            gap: 16px;
            max-width: 640px;

            div.title {
                display: flex;
                align-items: center;
                gap: 12px;

                svg {
                    height: 28px;
                }

                h3 {
                    font-size: 24px;
                    line-height: 32px;
                    font-weight: 700;
                    color: var(--secondary);
                }

            }

            p {
                color: #fff;
                text-align: center;
            }
        }
    }

    section.emblem {
        background-color: #fff;
        display: flex;
        flex-direction: column;
        align-items: center;
        padding-top: 32px;

        div.title {
            position: relative;

            h2 {
                text-transform: uppercase;
                font-size: 144px;
                line-height: 190px;
                text-align: center;
                text-stroke: 4px var(--secondary);
                -webkit-text-stroke: 4px var(--secondary);
            }

            p {
                top: 0;
                position: absolute;
                text-transform: uppercase;
                font-size: 144px;
                line-height: 190px;
                text-align: center;
                color: #fff;
            }
        }

        div.content {
            width: fill-available;
            width: -moz-available;
            width: -webkit-fill-available;
            display: flex;
            justify-content: space-between;
            gap: 64px;
            padding-right: 64px;

            div.imgcontainer {
                width: 50%;
                position: relative;

                img {
                    position: absolute;
                    bottom: 0;
                    right: 10%;
                    width: fit-content;
                    height: 100%;
                }
            }

            div.text {
                padding: 32px 0;
                width: 50%;
                display: flex;
                flex-direction: column;
                gap: 32px;

                div.line {
                    height: 1px;
                    width: fill-available;
                    width: -moz-available;
                    width: -webkit-fill-available;
                    background-color: rgba(0, 0, 0, 0.1);
                }

                div.paragraph {
                    display: flex;
                    flex-direction: column;
                    gap: 32px;

                    h3 {
                        text-transform: uppercase;
                        text-align: center;
                        font-size: 24px;
                        line-height: 32px;
                        font-weight: 700;
                    }

                    p {
                        font-size: 16px;
                        line-height: 21px;
                    }
                }
            }
        }
    }
}

@media (max-width: 800px) {

    main.newBiere {

        section.hero {

            h1 {
                max-width: 90%;
                font-size: 90px;
            }

            img {
                width: fit-content;
                height: 100vh
            }

            a {
                font-size: 16px;
            }
        }

        section.description {
            gap: 80px;
            padding: 80px 0;

            h2 {
                font-size: 40px;
            }

            div.beerPicto {
                width: 100%;
                overflow: hidden;

                .image-container {
                    left: 50%;
                }

                div.composant {
                    max-width: unset;
                    width: 80%;
                    left: unset;
                    right: 0;

                    div.line {
                        width: 30%;
                        min-width: 80px;
                    }

                    div.picto {
                        display: flex;
                        justify-content: center;
                        align-items: center;

                        img {
                            height: 60px;
                            width: 60px;
                        }
                    }

                    div.text {
                        height: 80px;
                        min-width: 48vw;
                        text-align: right;

                        h3 {
                            font-size: 20px;
                        }

                        p {
                            font-size: 14px;
                            line-height: 16px;
                        }
                    }
                }

                div.composant1 {
                    flex-direction: row-reverse;
                }

                div.composant2 {
                    text-align: left;
                    flex-direction: row-reverse;
                }

                div.composant3 {
                    flex-direction: row-reverse;
                }

                div.composant4 {
                    text-align: left;
                    flex-direction: row-reverse;
                }

            }

            div.moreIngredient {

                div.title {

                    svg {
                        height: 24px;
                    }

                    h3 {
                        font-size: 16px;
                        line-height: 24px;
                    }

                }

                p {
                    width: 80%;
                    font-size: 14px;
                    line-height: 16px;
                }
            }
        }

        section.emblem {
            padding-top: 32px;

            div.title {

                h2 {
                    font-size: 40px;
                    line-height: 44px;
                    text-stroke: 2px var(--secondary);
                    -webkit-text-stroke: 2px var(--secondary);
                }

                p {
                    font-size: 40px;
                    line-height: 44px;
                }
            }

            div.content {
                padding-right: unset;
                flex-direction: column-reverse;
                align-items: center;

                div.imgcontainer {
                    width: unset;
                    position: static;

                    img {
                        position: static;
                        width: 100vw;
                        height: fit-content;
                    }
                }

                div.text {
                    padding: 32px 0;
                    width: 80%;
                    display: flex;
                    flex-direction: column;
                    gap: 32px;

                    div.line {
                        height: 1px;
                        width: fill-available;
                        width: -moz-available;
                        width: -webkit-fill-available;
                        background-color: rgba(0, 0, 0, 0.1);
                    }

                    div.paragraph {

                        h3 {
                            font-size: 20px;
                            line-height: 24px;
                        }

                        p {
                            font-size: 14px;
                            line-height: 18px;
                        }
                    }
                }
            }
        }
    }
}

@media (max-width: 440px) {
    main.newBiere {

        section.description {

            div.beerPicto {

                div.composant {
                    gap: 12px;

                    div.text {
                        height: 80px;
                        min-width: 48vw;
                        text-align: right;

                        h3 {
                            font-size: 16px;
                        }

                        p {
                            font-size: 12px;
                            line-height: 14px;
                        }
                    }
                }
            }
        }
    }
}